# mcemonitor-10.04.spec

Summary:	Tool to monitor x86-64 CPU Machine Check Exception.
Name:		mcl-mcemonitor3
Version:	3.3
Release:	10.04.el7
Vendor:		NEC Corporation
Packager:	NEC Corporation
License:	GPL
URL:		http://www.nec.co.jp/
Group:		System Environment/Base
Source:		mcemonitor-10.04.tgz
Prefix:		%{_prefix}
BuildRoot:	/var/tmp%{:name}-root

%description
 mcemonitor is a daemon that monitors Machine Check Exception.

%prep
%setup -n mcemonitor-10.04

%build
sh ./make_rpm.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/nec/mcemonitor/
mkdir -p $RPM_BUILD_ROOT/opt/nec/mcemonitor/tmp/
mkdir -p $RPM_BUILD_ROOT/opt/nec/mcemonitor/conf/
mkdir -p $RPM_BUILD_ROOT/opt/nec/mcemonitor/init.d/
mkdir -p $RPM_BUILD_ROOT/var/opt/nec/
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d/
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
mkdir -p $RPM_BUILD_ROOT/var/opt/nec/run/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
install -m 500 -o 0 -g 0 mcemonitor       $RPM_BUILD_ROOT/opt/nec/mcemonitor/mcemonitor
install -m 644 -o 0 -g 0 mcemonitor.logrotate  $RPM_BUILD_ROOT/opt/nec/mcemonitor/conf/mcemonitor.logrotate
install -m 644 -o 0 -g 0 mcelog.logrotate      $RPM_BUILD_ROOT/opt/nec/mcemonitor/conf/mcelog.logrotate
install -m 500 -o 0 -g 0 mcemonitord      $RPM_BUILD_ROOT/opt/nec/mcemonitor/init.d/mcemonitord
install -m 644 -o 0 -g 0 functions        $RPM_BUILD_ROOT/opt/nec/mcemonitor/init.d/functions
install -m 644 -o 0 -g 0 mcemonitor.service    $RPM_BUILD_ROOT/usr/lib/systemd/system/mcemonitor.service
install -m 644 -o 0 -g 0 mcemonitor.sysconfig  $RPM_BUILD_ROOT/etc/sysconfig/mcemonitord

%clean
rm -rf $RPM_BUILD_ROOT

%pre
KERNEL=`uname -r`
MODEL=`cat /sys/class/dmi/id/product_name`

case $KERNEL in
	*".el7."*)
		;;
	*)
		echo "INFORMATION: skip to install mcemonitor for" $KERNEL
		exit 1
		;;
esac

case $MODEL in
	"Express5800/A2040f"*)
		;;
	"Express5800/A1040f"*)
		;;
	"Express5800/A2010e"*)
		;;
	"Express5800/A2020e"*)
		;;
	"Express5800/A2040e"*)
		;;
	"Express5800/A1040e"*)
		;;
	"Express5800/R140h-4"*)
		;;
	"NX7700x/A5012M-4"*)
		;;
	"NX7700x/A5012L-2"*)
		;;
	"NX7700x/A5012L-1"*)
		;;
	"NX7700x/A5010M-4"*)
		;;
	"Express5800/A2010d"*)
		;;
	"Express5800/A2020d"*)
		;;
	"Express5800/A2040d"*)
		;;
	"Express5800/A1040d"*)
		;;
	"NX7700x/A4012M-4"*)
		;;
	"NX7700x/A4012L-2"*)
		;;
	"NX7700x/A4012L-1"*)
		;;
	"NX7700x/A4010M-4"*)
		;;
	*)
		echo "INFORMATION: skip to install mcemonitor for" $MODEL
		exit 1
		;;
esac

if [ "$1" = "2" ]; then


	/bin/systemctl stop mcemonitor.service &> /dev/null
	/bin/systemctl disable mcemonitor.service &> /dev/null
fi


%post
if [ -e /etc/logrotate.d/mcelog ] ; then
	cp -f /etc/logrotate.d/mcelog /opt/nec/mcemonitor/tmp/mcelog.logrotate
	cp -f /opt/nec/mcemonitor/conf/mcelog.logrotate /etc/logrotate.d/mcelog
fi

if [ -e /etc/cron.hourly/mcelog.cron ] ; then
	cp -f /etc/cron.hourly/mcelog.cron /opt/nec/mcemonitor/tmp/mcelog.cron
fi

if [ -e "/usr/lib/systemd/system/mcelog.service" ] ; then
	/bin/systemctl stop mcelog.service &> /dev/null
	/bin/systemctl disable mcelog.service &> /dev/null
fi

if [ "$1" != "2" ]; then
	if [ -e /var/log/mcelog ] ; then
		mv -f /var/log/mcelog /opt/nec/mcemonitor/tmp/mcelog.log
	fi
fi

/bin/systemctl enable mcemonitor.service &> /dev/null
/bin/systemctl daemon-reload &> /dev/null
/bin/systemctl start mcemonitor.service &> /dev/null

/bin/ln -sf /var/opt/nec/mcemonitor /var/log/mcelog

%preun


if [ "$1" = "0" ]; then


	/bin/systemctl stop mcemonitor.service &> /dev/null
	/bin/systemctl disable mcemonitor.service &> /dev/null

	rm -f /var/log/mcelog
	if [ -e /opt/nec/mcemonitor/tmp/mcelog.log ] ; then
		mv -f /opt/nec/mcemonitor/tmp/mcelog.log /var/log/mcelog
	fi

	if [ -e "/usr/lib/systemd/system/mcelog.service" ] ; then
		/bin/systemctl enable mcelog.service &> /dev/null
		/bin/systemctl daemon-reload &> /dev/null

		/bin/systemctl start mcelog.service &> /dev/null
	fi

fi

%postun

if [ "$1" = "0" ]; then
	if [ -e /opt/nec/mcemonitor/tmp/mcelog.cron ] ; then
		cp -f /opt/nec/mcemonitor/tmp/mcelog.cron /etc/cron.hourly/mcelog.cron
	fi

	if [ -e /opt/nec/mcemonitor/tmp/mcelog.logrotate ] ; then
		cp -f /opt/nec/mcemonitor/tmp/mcelog.logrotate /etc/logrotate.d/mcelog
	fi
fi

%files
%defattr(-,root,root)
%dir /opt/nec/
%dir /opt/nec/mcemonitor/
%dir /opt/nec/mcemonitor/tmp/
%dir /opt/nec/mcemonitor/conf/
%dir /var/opt/nec/
%dir /opt/nec/mcemonitor/init.d/
%dir /var/opt/nec/run/
/opt/nec/mcemonitor/mcemonitor
/opt/nec/mcemonitor/init.d/mcemonitord
/opt/nec/mcemonitor/init.d/functions
/usr/lib/systemd/system/mcemonitor.service
%config(noreplace) /opt/nec/mcemonitor/conf/mcemonitor.logrotate
%config(noreplace) /etc/sysconfig/mcemonitord
%config(noreplace) /opt/nec/mcemonitor/conf/mcelog.logrotate

%changelog

